import * as i0 from '@angular/core';
import { Injectable, Component, NgModule } from '@angular/core';
import { Subject } from 'rxjs';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';

class NgToastService {
    constructor() {
        this.toastDetails$ = new Subject();
    }
    open(type, details, summary) {
        this.toastDetails$.next({ type: type, details: details, summary: summary });
    }
}
NgToastService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NgToastService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class NgToastComponent {
    constructor(toastService) {
        this.toastService = toastService;
        this.show = false;
    }
    ngOnInit() {
        this.toastService.toastDetails$.subscribe((val) => {
            this.show = true;
            clearTimeout(this.timeoutRef);
            this.toastDetails = val;
            this.timeoutRef = setTimeout(() => {
                this.show = false;
            }, 400000);
        });
    }
    closeToast() {
        clearTimeout(this.timeoutRef);
        this.show = false;
    }
}
NgToastComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastComponent, deps: [{ token: NgToastService }], target: i0.ɵɵFactoryTarget.Component });
NgToastComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.1.3", type: NgToastComponent, selector: "lib-ng-toast", ngImport: i0, template: "<div class=\"toast\" [class.active]=\"show\" [ngClass]=\"{\r\n  error: toastDetails?.type === 'error',\r\n  success: toastDetails?.type === 'success',\r\n  warning: toastDetails?.type === 'warning',\r\n  info: toastDetails?.type === 'info'\r\n}\">\r\n    <div class=\"container-1\">\r\n        <i class=\"fa\" [ngClass]=\"{\r\n      'fa-times-circle': toastDetails?.type === 'error',\r\n      'fa-check-circle': toastDetails?.type === 'success',\r\n      'fa-exclamation-circle': toastDetails?.type === 'warning',\r\n      'fa-info-circle': toastDetails?.type === 'info'\r\n    }\"></i>\r\n    </div>\r\n    <div class=\"container-2\">\r\n        <p>{{ toastDetails?.details }}</p>\r\n        <p>{{ toastDetails?.summary }}</p>\r\n    </div>\r\n    <button id=\"close\" (click)=\"closeToast()\">&times;</button>\r\n</div>", directives: [{ type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-ng-toast', styles: [], template: "<div class=\"toast\" [class.active]=\"show\" [ngClass]=\"{\r\n  error: toastDetails?.type === 'error',\r\n  success: toastDetails?.type === 'success',\r\n  warning: toastDetails?.type === 'warning',\r\n  info: toastDetails?.type === 'info'\r\n}\">\r\n    <div class=\"container-1\">\r\n        <i class=\"fa\" [ngClass]=\"{\r\n      'fa-times-circle': toastDetails?.type === 'error',\r\n      'fa-check-circle': toastDetails?.type === 'success',\r\n      'fa-exclamation-circle': toastDetails?.type === 'warning',\r\n      'fa-info-circle': toastDetails?.type === 'info'\r\n    }\"></i>\r\n    </div>\r\n    <div class=\"container-2\">\r\n        <p>{{ toastDetails?.details }}</p>\r\n        <p>{{ toastDetails?.summary }}</p>\r\n    </div>\r\n    <button id=\"close\" (click)=\"closeToast()\">&times;</button>\r\n</div>" }]
        }], ctorParameters: function () { return [{ type: NgToastService }]; } });

class NgToastModule {
}
NgToastModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgToastModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastModule, declarations: [NgToastComponent], imports: [CommonModule,
        BrowserModule,
        FormsModule,
        ReactiveFormsModule], exports: [NgToastComponent,
        BrowserModule] });
NgToastModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastModule, imports: [[
            CommonModule,
            BrowserModule,
            FormsModule,
            ReactiveFormsModule
        ], BrowserModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgToastModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgToastComponent
                    ],
                    imports: [
                        CommonModule,
                        BrowserModule,
                        FormsModule,
                        ReactiveFormsModule
                    ],
                    exports: [
                        NgToastComponent,
                        BrowserModule
                    ]
                }]
        }] });

/*
 * Public API Surface of ng-toast
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgToastComponent, NgToastModule, NgToastService };
//# sourceMappingURL=ng-toast.mjs.map
